<mamecheat version="1">

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@10E4B10=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@10E4B20=C8</action>
    </script>
  </cheat>

  <cheat desc="Invincibility 'ON' PL1">
    <script state="run">
      <action>maincpu.pb@10E4BB0=24</action>
      <action>maincpu.pb@10E4BB8=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility 'OFF' PL1">
    <script state="on">
      <action>maincpu.pb@10E4BB0=02</action>
      <action>maincpu.pb@10E4BB8=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@10E4E20=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@10E4E30=C8</action>
    </script>
  </cheat>

  <cheat desc="Invincibility 'ON' PL2">
    <script state="run">
      <action>maincpu.pb@10E4EC0=24</action>
      <action>maincpu.pb@10E4EC8=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility 'OFF' PL2">
    <script state="on">
      <action>maincpu.pb@10E4EC0=02</action>
      <action>maincpu.pb@10E4EC8=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@10E5130=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pb@10E5140=C8</action>
    </script>
  </cheat>

  <cheat desc="Invincibility 'ON' PL3">
    <script state="run">
      <action>maincpu.pb@10E51D0=24</action>
      <action>maincpu.pb@10E51D8=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility 'OFF' PL3">
    <script state="on">
      <action>maincpu.pb@10E51D0=02</action>
      <action>maincpu.pb@10E51D8=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
